### Name: MCMChybridGP-package
### Title: Hybrid MCMC for a multimodal density with derivatives replaced
###   by Gaussian process
### Aliases: MCMChybridGP-package MCMChybridGP
### Keywords: package

### ** Examples

## Not run: 
##D 
##D     mu1 <- c(-1, -1)
##D     mu2 <- c(+1, +1)
##D     sigma.sq <- 0.1225
##D     X0 <- generateX0(lb=c(-3,-3), ub=c(3,3))
##D     f <- function(x) {
##D         px <- 1/4/pi/sqrt(sigma.sq) * exp(-1/2/sigma.sq *
##D             sum((x - mu1)^2)) + 1/4/pi/sqrt(sigma.sq) *
##D             exp(-1/2/sigma.sq * sum((x - mu2)^2))
##D         return(log(px))
##D     }
##D     explore.out <- hybrid.explore(f, X0, n=100, graph=TRUE)
##D     sample.out <- hybrid.sample(explore.out, n=500, graph=TRUE)
##D     opar <- par(mfrow=c(2,1))
##D     plot(density(sample.out$SAMP[,1]), xlab="x1", ylab="f(x)")
##D     plot(density(sample.out$SAMP[,2]), xlab="x2", ylab="f(x)")
##D     par(opar)
##D 
## End(Not run)



