### Name: hybrid.explore
### Title: Exploratory phase to determine points used for a Gaussian
###   process fit.
### Aliases: hybrid.explore


### ** Examples

## Not run: 
##D 
##D     mu1 <- c(-1, -1)
##D     mu2 <- c(+1, +1)
##D     sigma.sq <- 0.16
##D     X0 <- matrix(c(-2,-1,0,-2,0,2,0,1,2, -2,-1,-2,0,0,0,2,1,2), ncol = 2)
##D     f <- function(x) {
##D         px <- 1/4/pi/sqrt(sigma.sq) * exp(-1/2/sigma.sq *
##D             sum((x - mu1)^2)) + 1/4/pi/sqrt(sigma.sq) *
##D             exp(-1/2/sigma.sq * sum((x - mu2)^2))
##D         return(log(px))
##D     }
##D 
##D     explore.out <- hybrid.explore(f, X0, n=100, graph=TRUE)
##D 
##D     sample.out <- hybrid.sample(explore.out, n=500, graph=TRUE)
##D 
##D     opar <- par(mfrow=c(2,1))
##D     plot(density(sample.out$SAMP[,1]), xlab="x1", ylab="f(x)")
##D     plot(density(sample.out$SAMP[,2]), xlab="x2", ylab="f(x)")
##D     par(opar)
##D 
## End(Not run)



